import { EasingType, assertValidVersion } from "@tsparticles/engine";
export async function loadEasingQuintPlugin(engine, refresh = true) {
    assertValidVersion(engine, "3.7.1");
    await engine.addEasing(EasingType.easeInQuint, value => value ** 5, false);
    await engine.addEasing(EasingType.easeOutQuint, value => 1 - (1 - value) ** 5, false);
    await engine.addEasing(EasingType.easeInOutQuint, value => (value < 0.5 ? 16 * value ** 5 : 1 - (-2 * value + 2) ** 5 / 2), false);
    await engine.refresh(refresh);
}
