(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadEasingQuintPlugin = loadEasingQuintPlugin;
    const engine_1 = require("@tsparticles/engine");
    async function loadEasingQuintPlugin(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addEasing(engine_1.EasingType.easeInQuint, value => value ** 5, false);
        await engine.addEasing(engine_1.EasingType.easeOutQuint, value => 1 - (1 - value) ** 5, false);
        await engine.addEasing(engine_1.EasingType.easeInOutQuint, value => (value < 0.5 ? 16 * value ** 5 : 1 - (-2 * value + 2) ** 5 / 2), false);
        await engine.refresh(refresh);
    }
});
